#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
int curr_ans;
int ans=INT_MAX/2;
vector<int>anss;
vector<int>per;
int i=0;
int s;
vector<int> solve(vector<int>a)
{
    int n=a.size();
    /*int n=a.size();
    for(int b=0;b<n;b++)
    {
        per.push_back(b);
    }
    anss.assign(n, 0);
    for(int j: a)
    {
        s+=j;
    }
    while(next_permutation(per.begin(), per.end()))
    {
        while(curr_ans<=s/2)
        {
            curr_ans+=a[per[i]];
            i++;
        }
        if(s-curr_ans<ans)
        {
            ans=curr_ans;
            for(int i=0;i<n;i++)
            {
                anss[i]=a[per[i]];
            }
        }
        curr_ans=0;
        i=0;
    }
    return anss;*/
    anss.push_back(n-1);
    for(int i=0;i<n-1;i++)
    {
        anss.push_back(i);
    }
    return anss;
}
